#include <iostream>

using namespace std;

int main()
{
    int n,m,i,j,l,r,x;
    cin >> n >> m;
    int d[n],u[n],v[m];
    for(i=0;i<n;i++)
    {
        cin >> d[i] >> u[i];
    }
    for (i=0;i<m;i++)
    {
        cin >> l >> r >> x;
        v[i]=0;
        for (j=l-1;j<r;j++)
        {
            if (d[j]<=x && u[j]>=x)
                v[i]++;
        }
    }
    for (i=0;i<m;i++)
    {
        cout << v[i] << endl;
    }
    return 0;
}